/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>

#include <assert.h>

#include "engine.h"

/* 
 * Query AIs.
 */
int engine_query_ai(Engine *engine) {
  SpaceShip *space_ship = NULL;
  int nb_ships;
  unsigned int i;

  /* Assertion */
  assert(engine);
  assert(engine->scene);

  /* TODO: Call python interpreter */
  nb_ships = scene_nb_space_ships(engine->scene);
  for(i=1; i<nb_ships; i++) {
    space_ship = scene_space_ship(engine->scene, i);
    /*space_ship_roll_right(space_ship);*/ /* test */
  }

  return 0;
}

